import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
export declare class Button {
    /**
     * The button context
     * Options are: `"primary"`, `"neutral"`, "success"`, `"danger"`, and `"link"`.
     */
    context: string;
    /**
     * Can the user interact with the button?
     */
    disabled: boolean;
    /**
     * Contains a URL or a URL fragment that the hyperlink points to.
     * Should not be used in Angular most likely
     */
    href?: string;
    /**
     * The button size.
     * Possible values are: `"small"`, `"default"`, `"large"`.
     */
    size?: 'small' | 'default' | 'large';
    /**
     * The type of the button matching the native button types.
     * Possible values are: `"submit"`, `"reset"` and `"button"`.
     * Default value is: `"button"`
     */
    type: 'submit' | 'reset' | 'button';
    /**
     * Fires when the button is blurred
     */
    adBlur: EventEmitter<void>;
    /**
     * Fires when the button is focused
     */
    adFocus: EventEmitter<void>;
    private btnClasses;
    private onBlur;
    private onFocus;
    render(): JSX.Element;
}
